2017-06-25 06:12 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002560OpenFOAM[All Projects] Bugpublic2017-05-21 20:13
Reportertaherc 
Assigned Tohenry 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSFedoraOS Version25
Product Versiondev 
Target VersionFixed in Version 
Summary0002560: Compilation Error after the last commit (May 19, 2017)
DescriptionI updated the OpenFOAM-dev to the latest version using:
git pull

Then tried to update it using:
./Allwmake -j4 -update

The compilation failed due to some problems in the cutI.H file which was the changed file. Please see the attached file for the complete log.

error: conversion from ‘const Foam::cut::uniformOp<Foam::nil>’ to non-scalar type ‘Foam::cut::noOp’ requested
     BelowOp b = tetReorder(belowOp, indices);
Steps To Reproducecd OpenFOAM-dev
git pull
./Allwmake -update
Tagscompilation
Attached Files

-Relationships
+Relationships

-Notes

~0008177

taherc (reporter)

Also, I tried to compile with the default configuration by compiling a fresh clone of the repository and it was the same.

~0008178

taherc (reporter)

I reverted to a previous commit and it compiled without any problem:

git checkout 4c49a1ed0073c5ccbbf9e019e544585dae91aa60

~0008179

henry (manager)

#2559

~0008180

taherc (reporter)

Sorry that I reopened the issue, but there is no issue #2559 so I can check the resolution. Also, I tried today's commit and the issue still exists.

~0008181

henry (manager)

I didn't notice that #2559 had be reported private for no apparent reason; I have now made it public.

OpenFOAM-dev is now compiling fine for me with both gcc 6.3.1 and clang 3.9.1

~0008182

taherc (reporter)

Thank you. It's compiling now.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-21 01:58 taherc New Issue
2017-05-21 01:58 taherc File Added: log.Allwmake
2017-05-21 01:58 taherc Tag Attached: compilation
2017-05-21 02:06 taherc Note Added: 0008177
2017-05-21 02:37 taherc Note Added: 0008178
2017-05-21 11:52 henry Assigned To => henry
2017-05-21 11:52 henry Status new => closed
2017-05-21 11:52 henry Resolution open => duplicate
2017-05-21 11:52 henry Note Added: 0008179
2017-05-21 15:27 taherc Status closed => feedback
2017-05-21 15:27 taherc Resolution duplicate => reopened
2017-05-21 15:27 taherc Note Added: 0008180
2017-05-21 15:45 henry Note Added: 0008181
2017-05-21 18:25 taherc Note Added: 0008182
2017-05-21 18:25 taherc Status feedback => assigned
2017-05-21 20:13 henry Status assigned => resolved
2017-05-21 20:13 henry Resolution reopened => fixed
+Issue History